std::thread(3cxx)

NAME
std::thread - thread

SYNOPSIS

#include <thread>

  Classes

class id
thread::id

  Public Types

using _State_ptr = unique_ptr< _State >
typedef __gthread_t native_handle_type

  Public Member Functions

template<typename _Callable , typename... _Args, typename = _Require<__not_same<_Callable>>> thread (_Callable &&__f, _Args &&... __args)
thread (const thread &)=delete
thread (thread &&__t) noexcept
void detach ()
thread::id get_id () const noexcept
void join ()
bool joinable () const noexcept
native_handle_type native_handle ()
thread & operator= (const thread &)=delete
thread & operator= (thread &&__t) noexcept
void swap (thread &__t) noexcept

  Static Public Member Functions

template<typename _Callable , typename... _Args> static _Invoker< __decayed_tuple< _Callable, _Args... > > __make_invoker (_Callable &&__callable, _Args &&... __args)
static unsigned int hardware_concurrency () noexcept

Detailed Description

thread

Definition at line 62 of file thread.

Member Typedef Documentation

  using std::thread::_State_ptr = unique_ptr<_State>

Definition at line 72 of file thread.

  typedef __gthread_t std::thread::native_handle_type

Definition at line 74 of file thread.

Constructor & Destructor Documentation

  template<typename _Callable , typename... _Args, typename = _Require<__not_same<_Callable>>> std::thread::thread (_Callable && __f, _Args &&... __args) [inline], [explicit]

Definition at line 117 of file thread.

  std::thread::~thread () [inline]

Definition at line 136 of file thread.

  std::thread::thread (thread && __t) [inline], [noexcept]

Definition at line 144 of file thread.

Member Function Documentation

  template<typename _Callable , typename... _Args> static _Invoker< __decayed_tuple< _Callable, _Args... > > std::thread::__make_invoker (_Callable && __callable, _Args &&... __args) [inline], [static]

Definition at line 263 of file thread.

  thread::id std::thread::get_id () const [inline], [noexcept]

Definition at line 172 of file thread.

  bool std::thread::joinable () const [inline], [noexcept]

Definition at line 162 of file thread.

  native_handle_type std::thread::native_handle () [inline]

Precondition
    thread is joinable

Definition at line 178 of file thread.

  thread & std::thread::operator= (thread && __t) [inline], [noexcept]

Definition at line 149 of file thread.

  void std::thread::swap (thread & __t) [inline], [noexcept]

Definition at line 158 of file thread.

Author

Generated automatically by Doxygen for libstdc++ from the source code.